<?xml version="1.0" encoding="UTF-8"?>
<definitions name="UserRegistration" targetNamespace="http://j2ee.netbeans.org/wsdl/UserRegistration"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://j2ee.netbeans.org/wsdl/UserRegistration" xmlns:ns="http://xml.netbeans.org/schema/UserRegistration" xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
    <types>
        <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/UserRegistration">
            <xsd:import namespace="http://xml.netbeans.org/schema/UserRegistration" schemaLocation="UserRegistration.xsd"/>
        </xsd:schema>
    </types>
    <message name="UserRegistrationOperationRequest">
        <part name="part1" element="ns:userRegistrationRequest"/>
    </message>
    <message name="UserRegistrationOperationReply">
        <part name="part1" element="ns:userRegistrationResponse"/>
    </message>
    <portType name="UserRegistrationPortType">
        <operation name="UserRegistrationOperation">
            <input name="input1" message="tns:UserRegistrationOperationRequest"/>
            <output name="output1" message="tns:UserRegistrationOperationReply"/>
        </operation>
    </portType>
    <binding name="UserRegistrationBinding" type="tns:UserRegistrationPortType">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="UserRegistrationOperation">
            <soap:operation/>
            <input name="input1">
                <soap:body use="literal"/>
            </input>
            <output name="output1">
                <soap:body use="literal"/>
            </output>
        </operation>
    </binding>
    <service name="UserRegistrationService">
        <port name="UserRegistrationPort" binding="tns:UserRegistrationBinding">
            <soap:address location="http://localhost:18181/UserRegistrationService/UserRegistrationPort"/>
        </port>
    </service>
    <plnk:partnerLinkType name="UserRegistration1">
        <!-- A partner link type is automatically generated when a new port type is added. Partner link types are used by BPEL processes. 
In a BPEL process, a partner link represents the interaction between the BPEL process and a partner service. Each partner link is associated with a partner link type.
A partner link type characterizes the conversational relationship between two services. The partner link type can have one or two roles.-->
        <plnk:role name="UserRegistrationPortTypeRole" portType="tns:UserRegistrationPortType"/>
    </plnk:partnerLinkType>
</definitions>
